MP4(3)

NAME

MP4AppendSessionSdp - Add to the SDP session level description of the file

SYNTAX

#include <mp4.h>

bool MP4AppendSessionSdp(
    MP4FileHandle hFile,
    const char* sdpString
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

sdpString
    Specifies the addition to the session sdp string.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4AppendSessionSdp appends the specified string to the SDP (IETF RFC 2327) session level fragment for the file. This is used by a streaming server to create a complete SDP description of the multimedia session represented by the file.

SEE ALSO

MP4(3) MP4GetSessionSdp(3) MP4SetSessionSdp(3)